# Compatibility
* PS1 
  * Emulator
    - [X] Duckstation
    - [X] No$PSX
    - [X] Xebra
  - [ ] Real Hardware
- PS3 
  - [ ] Emulator
  - [ ] Real Hardware

# TODO
- [ ] Ko-fi supporter list
- [ ] Support more GTE
- [X] Easy serial code swap
  - [X] Support .subst files to be substituted with environment variables 
  - [X] Support pop-fe
- [ ] PS3 PKG generation tool?
- [ ] PS3 runtime detection?
- [ ] Move DMA code to public include for custom loading of files?
  - [ ] Maybe make it an interface with SPU/GPU as a specification...?
  - [ ] Could be empty classes that the linker maps to 0 or somewhere
  - [ ] Could be a all static struct (I like that better; We are not Nicolas Noble)
  - [ ] Redo the IO ports again...?
- [ ] Support better file loading with threads
  - [ ] Loading Screen with GPU IO? (Does DMA and IO work together?)